Skip to content

Buy New License

POST
/api/v1/request-license/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/request-license/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"sku_id": "977",
"license_count": 1,
"vcpus": "",
"public_ip": "172.16.231.6",
"private_ip": "172.16.231.6",
"node_os": "CentOS",
"node_id": 1,
"contact_type": "",
"license_name": "REMOTE DESKTOP LICENSE"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
sku_id
required
string

Example

977
license_count
required
integer

Example

1
vcpus
string

Example

public_ip
required
string format: ipv4

Example

172.16.231.6
private_ip
required
string format: ipv4

Example

172.16.231.6
node_os
required
string

Example

CentOS
node_id
required
integer

Example

1
contact_type
string

Example

license_name
required
string

Example

REMOTE DESKTOP LICENSE

Successful response with validation status

Media typeapplication/json
object
code
integer
data
object
public_ip
boolean
message
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"public_ip": false,
"message": "Entered Public IP is not valid."
},
"errors": {},
"message": "Success"
}